clear
program drop _all
set memory 150m
set more 1
log using autounionbscq1.log, replace
** 
*define the program to do cquantloop regression
    program define cquantloop
     quietly {
        local qt = `1'

	  while `qt'<100 {
                local qc = `qt'/100.0
        noisily di "estimating quantile "  `qt'
                use men8385
                bsqreg lwage covered nonwhite marr ed0 ed1 ed3 ed4 ed5 /*
                  */  ex1-ex4 ex6-ex9, quantile(`qc') reps(200)
                matrix B=e(b)
                svmat double B, name(cvector)
                matrix VCB=e(V)
                matrix VB=vecdiag(VCB)
                svmat double VB, name(vcvtor)
                gen qtau=`qt'/100
                keep qtau cvector* vcvtor*
                drop if cvector1==.
                append using bscqcf
                save bscqcf,replace
                clear
                local qt = `qt' + 5
        }
     } 
    display "cquantloop done"
    end


*Use models with set of dummies;


*********Model for 1983-85, men **************;
use men8385
reg lwage covered nonwhite marr ed0 ed1 ed3 ed4 ed5 ex1-ex4 ex6-ex9, robust 
matrix B=e(b)
svmat double B, name(bvector)
matrix VCB=e(V)
matrix VB=vecdiag(VCB)
svmat double VB, name(vbvtor)
gen qtau=0.0  /* store OLS in the zero and one quantile*/
keep qtau bvector* vbvtor*
drop if bvector1==.
expand 2
replace qtau=1.0 if _n>1
save bscqcf, replace
clear
*******
** now do for the conditional quantiles 5 to 95
***
cquantloop 5
*****